## org.apache.jasper.logging
Class JasperLogger

    java.lang.Object
      org.apache.jasper.logging.Logger
          org.apache.jasper.logging.JasperLogger

public class JasperLogger
extends Logger

A real implementation of the Logger abstraction.

Since:
  Tomcat 3.1
Author:
  Anil V (akv@eng.sun.com)

Nested Class Summary

Nested classes inherited from class org.apache.jasper.logging.Logger
`Logger.Helper`

Field Summary

Fields inherited from class org.apache.jasper.logging.Logger
`custom, DEBUG, defaultLogger, defaultSink, ERROR, FATAL, INFORMATION, loggers, name, sink, timestamp, timestampFormat, timestampFormatter, timestampRaw, WARNING`

Constructor Summary
`JasperLogger()`
`JasperLogger(javax.servlet.ServletContext servletContext)`

Method Summary
`void` `flush()` Flush the log.
`protected void` `realLog(java.lang.String message)` Adds a log message to the queue and returns immediately.
`protected void` `realLog(java.lang.String message, java.lang.Throwable t)` Adds a log message and stack trace to the queue and returns immediately.
`java.lang.String` `toString()`

Methods inherited from class org.apache.jasper.logging.Logger

`canIgnore, close, formatTimestamp, formatTimestamp, getDefaultLogger, getLogger, getLoggerNames, getName, getPath, getTimestampFormat, getVerbosityLevel, isOpen, isTimestamp, log, log, log, log, matchVerbosityLevel, open, putLogger, removeLogger, setCustomOutput, setDefaultSink, setName, setPath, setTimestamp, setTimestampFormat, setVerbosityLevel, setVerbosityLevel, throwableToString, throwableToString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JasperLogger

    public JasperLogger(javax.servlet.ServletContext servletContext)

### JasperLogger

    public JasperLogger()

Method Detail

### realLog

    protected void realLog(java.lang.String message)

  Adds a log message to the queue and returns immediately. The logger daemon thread will pick it up later and actually print it out.

  Specified by:
    `realLog` in class `Logger`
  Parameters:
    `message` - the message to log.

### realLog

    protected void realLog(java.lang.String message,
                           java.lang.Throwable t)

  Adds a log message and stack trace to the queue and returns immediately. The logger daemon thread will pick it up later and actually print it out.

  Specified by:
    `realLog` in class `Logger`
  Parameters:
    `message` - the message to log.
    `t` - the exception that was thrown.

### flush

    public void flush()

  Flush the log.

  Specified by:
    `flush` in class `Logger`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Logger`

Copyright ? 2000 Apache Software Foundation. All Rights Reserved.